# $Revision: 1.53 $, $Date: 2011/11/08 13:44:57 $
%include	/usr/lib/rpm/macros.php
%define		modname	memcache
%define		php_min_version 5.0.0
Summary:	%{modname} - a memcached extension
Summary(pl.UTF-8):	%{modname} - rozszerzenie memcached
Name:		php-pecl-%{modname}
Version:	3.0.6
Release:	2
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	23c2a1548f3fc7658b98b1c60e6d83b1
Source1:	%{modname}.ini
Source2:	%{modname}-apache.conf
Source3:	%{modname}-lighttpd.conf
Source4:	config.php
Patch0:		%{modname}-webapp.patch
URL:		http://pecl.php.net/package/memcache/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.344
BuildRequires:	php-packagexml2cl
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Requires:	php-session
Requires:	php-zlib
Suggests:	memcached
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{modname}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}

# bad depsolver
%define		_noautopear	pear

# put it together for rpmbuild
%define		_noautoreq	%{?_noautophp} %{?_noautopear}

%description
Memcached is a caching daemon designed especially for dynamic web
applications to decrease database load by storing objects in memory.

This extension allows you to work with memcached through handy OO and
procedural interfaces.

%description -l pl.UTF-8
Memcached to zaprojektowany dla dynamicznych aplikacji internetowych
daemon cachujący mający za zadanie zmniejszenie obciążenia bazy danych
przez przechowywanie w pamięci obiektów.

To rozszerzenie umożliwia pracę z memcached za pomocą poręcznego
zorientowanego obiektowo (oraz przez procedury) interfejsu.

%package web
Summary:	Web interface for memcache
Group:		Libraries
# does not require extension itself
Requires:	php-common >= 4:%{php_min_version}
Requires:	php-date
Requires:	php-gd
Requires:	php-pcre
Requires:	webapps
Requires:	webserver(php) >= 5.0

%description web
Via this web interface script you can manage and view statistics of
memcache.

%prep
%setup -q -c
mv %{modname}-%{version}/* .
%patch0 -p1

%build
packagexml2cl package.xml > ChangeLog
phpize
%configure \
	--with-zlib-dir=/usr
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir},%{_examplesdir}/%{name}-%{version}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
# we use "session_" prefix in inifile to get loader *after* session extension
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/session_%{modname}.ini
cp -a example.php $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}}
cp -a memcache.php $RPM_BUILD_ROOT%{_appdir}
cp -a %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/config.php
cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -a $RPM_BUILD_ROOT%{_sysconfdir}/{apache,httpd}.conf
cp -a %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%triggerpostun -- %{name} < 3.0.4-2
if [ -f %{php_sysconfdir}/conf.d/%{modname}.ini.rpmsave ]; then
	echo >&2 "Restoring old config: %{modname}.ini.rpmsave -> session_%{modname}.ini in %{php_sysconfdir}/conf.d"
	cp -f %{php_sysconfdir}/conf.d/session_%{modname}.ini{,.rpmnew}
	mv -f %{php_sysconfdir}/conf.d/{%{modname}.ini.rpmsave,session_%{modname}.ini}
	%php_webserver_restart
fi

%triggerin web -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun web -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin web -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun web -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerin web -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun web -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc CREDITS README ChangeLog
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/session_%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%{_examplesdir}/%{name}-%{version}

%files web
%defattr(644,root,root,755)
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/config.php
%{_appdir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-memcache.spec,v $
Revision 1.53  2011/11/08 13:44:57  arekm
- release 2

Revision 1.52  2011/05/26 00:40:32  zbyniu
- up to 3.0.6

Revision 1.51  2010/12/19 12:56:34  arekm
- rel 1

Revision 1.50  2010/11/02 09:26:27  psz
- demote

Revision 1.49  2010/11/02 08:55:55  psz
- up to 3.0.5
- rel 1

Revision 1.48  2010/06/02 15:53:17  glen
- release 6

Revision 1.47  2010/03/25 10:28:10  glen
- release 5

Revision 1.46  2010/03/25 10:28:03  glen
- build ChangeLog from package.xml

Revision 1.45  2010/03/25 09:58:14  glen
- web does not require extension itself

Revision 1.44  2010/03/25 09:45:26  glen
- fix config perms

Revision 1.43  2010/03/25 09:43:20  glen
- add web subpackage containing small admin panel; rel 4

Revision 1.42  2010/03/25 09:14:14  glen
- move ini settings to separate file

Revision 1.41  2009/09/30 10:19:30  glen
- revert, we NEED php5, not php4 (php4-pecl is for php4)

Revision 1.40  2009/09/29 13:32:26  arekm
- fix R

Revision 1.39  2009/09/23 09:14:02  glen
- release 3

Revision 1.38  2009/09/23 08:58:28  glen
- load ourselves after session module; rel 2

Revision 1.37  2009/09/23 08:05:02  glen
- unify
- R: session ext: memcache.so: undefined symbol: php_session_create_id

Revision 1.36  2009/04/26 17:20:09  adamg
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

Revision 1.35  2009/02/27 15:49:43  adamg
- updated to 3.0.4

Revision 1.34  2009/02/19 19:23:11  glen
- obviously only php5 zlib php ext is usable here; rel 2

Revision 1.33  2009/01/17 22:55:51  adamg
- updateed to 3.0.3

Revision 1.32  2008/11/21 16:35:27  glen
- typo

Revision 1.31  2008/09/12 15:05:16  adamg
- package php scripts

Revision 1.30  2008/09/12 15:00:40  adamg
- updated to 3.0.2

Revision 1.29  2008-02-13 17:21:29  glen
- release 2

Revision 1.28  2008-02-13 15:54:06  zergin
- version up to 3.0.1
- add new config options

Revision 1.27  2007-11-26 20:42:39  adamg
- updated to 3.0.0

Revision 1.26  2007/11/02 17:11:06  adamg
- updated to 2.2.1

Revision 1.25  2007/06/12 11:26:53  glen
- 2.1.2

Revision 1.24  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.22  2007/01/02 19:52:19  glen
- use new php extension related macros

Revision 1.21  2006/12/13 22:52:13  glen
- update to 2.1.0

Revision 1.20  2006/11/26 14:41:17  glen
- rel 2: use php(extension) virtuals

Revision 1.19  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.18  2006/08/02 13:44:56  blues
- config options

Revision 1.17  2006/08/02 13:15:24  glen
- updated to 2.0.4, corrected URL

Revision 1.16  2006/08/02 13:13:27  glen
- rel 6

Revision 1.15  2006/08/02 13:10:50  blues
- requires php-zlib

Revision 1.14  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.13  2005/10/30 13:29:27  glen
- rel 4

Revision 1.12  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.11  2005/09/14 22:57:07  glen
- rel 2

Revision 1.10  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.9  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.8  2005/08/05 13:02:43  adamg
- updated to 1.5

Revision 1.7  2005/06/21 11:25:34  glen
- add minimum php version requirement

Revision 1.6  2004/12/05 14:44:08  adamg
- updated to 1.4

Revision 1.5  2004/10/24 20:16:09  paladine
- spelling fixes, uppercases, etc.

Revision 1.4  2004/09/04 17:41:23  adamg
- updated to 1.3

Revision 1.3  2004/08/07 18:02:40  adamg
- updated to 1.2

Revision 1.2  2004/06/10 18:10:46  adamg
- updated to 1.1

Revision 1.1  2004/05/30 19:32:53  adamg
- new
